Bug 1444428

Summary: Rename-Review Request: hardening-wrapper - Tool to check ELF for being built hardened
Product: [Fedora] Fedora Reporter: Björn 'besser82' Esser <besser82>
Component: Package ReviewAssignee: clime
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: clime, package-review
Target Milestone: ---Flags: clime: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-06-22 13:35:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Björn 'besser82' Esser 2017-04-21 10:14:52 UTC
Description:

  hardening-check is a tool to check whether an already compiled ELF file
  was built using hardening flags.

  It checks, using readelf, for these hardening characteristics:

    * Position Independent Executable
    * Stack protected
    * Fortify source functions
    * Read-only relocations
    * Immediate binding


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=19125149


Issues:

  No known issues.  Rpmlint may have some false positive complaints.


FAS-User:

  besser82


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/hardening-wrapper.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/hardening-wrapper-2.6-1.fc27.src.rpm


Additional information:

  This is a re-review for renaming the main-package of hardening-check to
  hardening-wrapper.  Since the resulting binary-package names are not
  different and version is increased, there is no need for Provides nor
  Obsoletes.

  The renaming of the package is done, to build the main-package archful and
  run the testsuite on all available arches;  the built binary-package
  remains noarch'ed.


Thanks for review in advance!

Comment 1 clime 2017-06-16 07:21:37 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.

     -> only empty, arched, main package is being renamed. The generated (noarch) rpm has still the same name so no Obsoletes or Provides is required here.

[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[-]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hardening-check-2.6-1.fc25.noarch.rpm
          hardening-wrapper-2.6-1.fc25.src.rpm
hardening-check.noarch: W: spelling-error %description -l en_US readelf -> read elf, read-elf, reader
hardening-check.noarch: W: spelling-error %description -l en_US relocations -> relocation, relocation's, revocations
hardening-wrapper.src: W: spelling-error %description -l en_US readelf -> read elf, read-elf, reader
hardening-wrapper.src: W: spelling-error %description -l en_US relocations -> relocation, relocation's, revocations
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
hardening-check.noarch: W: spelling-error %description -l en_US readelf -> read elf, read-elf, reader
hardening-check.noarch: W: spelling-error %description -l en_US relocations -> relocation, relocation's, revocations
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
hardening-check (rpmlib, GLIBC filtered):
    /usr/bin/perl
    binutils
    perl(Getopt::Long)
    perl(IPC::Open3)
    perl(Pod::Usage)
    perl(Symbol)
    perl(Term::ANSIColor)
    perl(strict)
    perl(warnings)



Provides
--------
hardening-check:
    hardening-check



Source checksums
----------------
http://ftp.debian.org/debian/pool/main/h/hardening-wrapper/hardening-wrapper_2.6.tar.xz :
  CHECKSUM(SHA256) this package     : c5fc46439646d0929a0605e4f3db67e57eefbbf5ceec5a2888440dbdf4450224
  CHECKSUM(SHA256) upstream package : c5fc46439646d0929a0605e4f3db67e57eefbbf5ceec5a2888440dbdf4450224


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1444428
Buildroot used: fedora-25-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Resolution =====

No issues were found during review. Package approved.

Comment 2 Björn 'besser82' Esser 2017-06-16 07:27:18 UTC
Thank you for the review!

Comment 3 Gwyn Ciesla 2017-06-16 13:08:27 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/hardening-wrapper

Comment 4 Fedora Update System 2017-06-16 17:56:11 UTC
hardening-wrapper-2.5-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9dda465472

Comment 5 Fedora Update System 2017-06-16 18:19:29 UTC
hardening-wrapper-2.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b410819218

Comment 6 Fedora Update System 2017-06-16 18:19:44 UTC
hardening-wrapper-2.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f398039c92

Comment 7 Fedora Update System 2017-06-16 18:19:57 UTC
hardening-wrapper-2.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fbbabb383f

Comment 8 Fedora Update System 2017-06-16 18:20:09 UTC
hardening-wrapper-2.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d40c1879cb

Comment 9 Fedora Update System 2017-06-18 02:46:13 UTC
hardening-wrapper-2.5-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9dda465472

Comment 10 Fedora Update System 2017-06-18 02:50:04 UTC
hardening-wrapper-2.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b410819218

Comment 11 Fedora Update System 2017-06-18 03:48:55 UTC
hardening-wrapper-2.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f398039c92

Comment 12 Fedora Update System 2017-06-18 03:52:45 UTC
hardening-wrapper-2.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fbbabb383f

Comment 13 Fedora Update System 2017-06-18 06:20:58 UTC
hardening-wrapper-2.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d40c1879cb

Comment 14 Fedora Update System 2017-06-22 13:35:43 UTC
hardening-wrapper-2.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-06-25 17:20:11 UTC
hardening-wrapper-2.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-06-25 21:22:06 UTC
hardening-wrapper-2.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-06-26 02:18:47 UTC
hardening-wrapper-2.5-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-06-26 05:48:25 UTC
hardening-wrapper-2.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.